# Receive webhook events

```
POST 
/webhook
```

This is the endpoint you need to implement on your server to receive events. This page references the format of all the possible events.

## Request[​](#request "Direct link to request")

## Responses[​](#responses "Direct link to Responses")

* 200

Respond with 200 to acknowledge the handling of this webhook event, otherwise we will retry the call later.

## Operation spec

```json
{
  "method": "post",
  "path": "/webhook",
  "operationId": "api-receive-webhook",
  "requestBody": {
    "required": true,
    "content": {
      "application/json": {
        "schema": {
          "oneOf": [
            {
              "title": "generate_note_async.succeeded",
              "x-sensitive-medical-data": true,
              "x-webhook-type": "CORE_API_GENERATE_NOTE_ASYNC_SUCCEEDED",
              "allOf": [
                {
                  "type": "object",
                  "properties": {
                    "id": {
                      "description": "The unique identifier of this webhook event.",
                      "type": "string",
                      "format": "uuid",
                      "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                      "title": "uuid"
                    },
                    "created_at": {
                      "description": "Creation date of this webhook event.",
                      "type": "string",
                      "format": "date-time",
                      "example": "2022-03-10T19:16:23.456Z",
                      "title": "created_at"
                    },
                    "type": {
                      "type": "string",
                      "description": "Type of this event, serves as a discriminator between the different possible webhook types."
                    }
                  },
                  "required": [
                    "id",
                    "created_at",
                    "type"
                  ],
                  "title": "base_webhook_event"
                },
                {
                  "type": "object",
                  "description": "Event sent when an **asynchronous** note generation succeeds.",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "description": "The id of the asynchronous request.",
                          "type": "string",
                          "format": "uuid",
                          "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                          "title": "uuid"
                        },
                        "client_request_id": {
                          "type": "string",
                          "maxLength": 128,
                          "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                          "title": "client_request_id"
                        },
                        "status": {
                          "type": "string",
                          "enum": [
                            "ONGOING",
                            "FAILED",
                            "SUCCEEDED"
                          ],
                          "title": "async_request_status"
                        },
                        "payload": {
                          "type": "object",
                          "description": "The generated note.",
                          "required": [
                            "note"
                          ],
                          "properties": {
                            "note": {
                              "type": "object",
                              "description": "The generated note.",
                              "properties": {
                                "title": {
                                  "type": "string",
                                  "description": "Title of the note.",
                                  "example": "Fever and strong headache"
                                },
                                "sections": {
                                  "type": "array",
                                  "description": "Content of the note structured in multiple sections.",
                                  "items": {
                                    "type": "object",
                                    "description": "A note section.",
                                    "properties": {
                                      "key": {
                                        "type": "string",
                                        "description": "A key identifying a section of a note.\nThe set of possible keys depend on the template that is used. Check [Note template](/core-api/guides/note-templates/note-templates-sections) for possible values.",
                                        "example": "CHIEF_COMPLAINT",
                                        "enum": [
                                          "ALLERGIES",
                                          "APPOINTMENTS",
                                          "ASSESSMENT",
                                          "ASSESSMENT_AND_PLAN",
                                          "CARDIOVASCULAR_RISK_FACTORS",
                                          "CHIEF_COMPLAINT",
                                          "CURRENT_MEDICATIONS",
                                          "DIAGNOSTIC_TESTS_ORDERED",
                                          "FOOD_HABITS",
                                          "LIFESTYLE",
                                          "PAST_MEDICAL_HISTORY",
                                          "OBJECTIVES_AND_ADVICE",
                                          "FAMILY_HISTORY",
                                          "HISTORY_OF_PRESENT_ILLNESS",
                                          "IMAGING_RESULTS",
                                          "IMMUNIZATIONS",
                                          "LAB_RESULTS",
                                          "MENTAL_HEALTH_EXAM",
                                          "MENTAL_HEALTH_HISTORY",
                                          "PAST_OBSTETRIC_HISTORY",
                                          "PAST_SURGICAL_HISTORY",
                                          "PHYSICAL_EXAM",
                                          "PLAN",
                                          "PRESCRIPTION",
                                          "HISTORY_OF_PRESENT_COMPLAINT",
                                          "OBJECTIVE",
                                          "SUBJECTIVE",
                                          "SOCIAL_HISTORY",
                                          "VITALS",
                                          "WELL_CHILD_CARE"
                                        ],
                                        "title": "note_section_key"
                                      },
                                      "title": {
                                        "type": "string",
                                        "description": "The section title.",
                                        "example": "Chief complaint"
                                      },
                                      "text": {
                                        "type": "string",
                                        "description": "Content of the note section.",
                                        "example": "Sleep disorder"
                                      }
                                    },
                                    "required": [
                                      "key",
                                      "title",
                                      "text"
                                    ],
                                    "example": [
                                      {
                                        "key": "CHIEF_COMPLAINT",
                                        "title": "Chief complaint",
                                        "text": "Fatigue and headaches"
                                      },
                                      {
                                        "key": "SYMPTOMS",
                                        "title": "Symptoms",
                                        "text": "- Tiredness all day long\n- Mild headaches on the right side"
                                      }
                                    ],
                                    "title": "note_section"
                                  }
                                }
                              },
                              "required": [
                                "sections"
                              ],
                              "title": "note"
                            }
                          },
                          "title": "async_note_generation_succeeded_payload"
                        }
                      },
                      "required": [
                        "id",
                        "status"
                      ],
                      "title": "async_note_generation_succeeded"
                    }
                  },
                  "required": [
                    "data"
                  ]
                }
              ]
            },
            {
              "title": "generate_note_async.failed",
              "x-sensitive-medical-data": false,
              "x-webhook-type": "CORE_API_GENERATE_NOTE_ASYNC_FAILED",
              "allOf": [
                {
                  "type": "object",
                  "properties": {
                    "id": {
                      "description": "The unique identifier of this webhook event.",
                      "type": "string",
                      "format": "uuid",
                      "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                      "title": "uuid"
                    },
                    "created_at": {
                      "description": "Creation date of this webhook event.",
                      "type": "string",
                      "format": "date-time",
                      "example": "2022-03-10T19:16:23.456Z",
                      "title": "created_at"
                    },
                    "type": {
                      "type": "string",
                      "description": "Type of this event, serves as a discriminator between the different possible webhook types."
                    }
                  },
                  "required": [
                    "id",
                    "created_at",
                    "type"
                  ],
                  "title": "base_webhook_event"
                },
                {
                  "type": "object",
                  "description": "Event sent when an **asynchronous** note generation fails.",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "description": "The id of the asynchronous request.",
                          "type": "string",
                          "format": "uuid",
                          "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                          "title": "uuid"
                        },
                        "client_request_id": {
                          "type": "string",
                          "maxLength": 128,
                          "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                          "title": "client_request_id"
                        },
                        "status": {
                          "type": "string",
                          "enum": [
                            "ONGOING",
                            "FAILED",
                            "SUCCEEDED"
                          ],
                          "title": "async_request_status"
                        },
                        "payload": {
                          "type": "object",
                          "properties": {
                            "error_code": {
                              "type": "integer",
                              "example": 422
                            },
                            "error_message": {
                              "type": "string",
                              "example": "We can't generate the note when the transcript is too short."
                            }
                          },
                          "required": [
                            "error_code"
                          ],
                          "title": "async_request_failed_payload"
                        }
                      },
                      "required": [
                        "id",
                        "status",
                        "payload"
                      ],
                      "title": "async_request_failed"
                    }
                  },
                  "required": [
                    "data"
                  ]
                }
              ]
            },
            {
              "title": "transcribe_async.succeeded",
              "x-sensitive-medical-data": true,
              "x-webhook-type": "CORE_API_TRANSCRIBE_ASYNC_SUCCEEDED",
              "allOf": [
                {
                  "type": "object",
                  "properties": {
                    "id": {
                      "description": "The unique identifier of this webhook event.",
                      "type": "string",
                      "format": "uuid",
                      "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                      "title": "uuid"
                    },
                    "created_at": {
                      "description": "Creation date of this webhook event.",
                      "type": "string",
                      "format": "date-time",
                      "example": "2022-03-10T19:16:23.456Z",
                      "title": "created_at"
                    },
                    "type": {
                      "type": "string",
                      "description": "Type of this event, serves as a discriminator between the different possible webhook types."
                    }
                  },
                  "required": [
                    "id",
                    "created_at",
                    "type"
                  ],
                  "title": "base_webhook_event"
                },
                {
                  "type": "object",
                  "description": "Event sent when an **asynchronous** transcription succeeds.",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "description": "The id of the asynchronous request.",
                          "type": "string",
                          "format": "uuid",
                          "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                          "title": "uuid"
                        },
                        "client_request_id": {
                          "type": "string",
                          "maxLength": 128,
                          "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                          "title": "client_request_id"
                        },
                        "status": {
                          "type": "string",
                          "enum": [
                            "ONGOING",
                            "FAILED",
                            "SUCCEEDED"
                          ],
                          "title": "async_request_status"
                        },
                        "payload": {
                          "type": "object",
                          "description": "The generated transcript.",
                          "properties": {
                            "transcript": {
                              "type": "array",
                              "description": "Transcript items from the audio file.",
                              "items": {
                                "type": "object",
                                "description": "A portion of the transcribed consultation.",
                                "properties": {
                                  "text": {
                                    "type": "string",
                                    "description": "The transcribed text.",
                                    "example": "Also, I’m allergic to peanuts."
                                  },
                                  "speaker_type": {
                                    "type": "string",
                                    "enum": [
                                      "DOCTOR",
                                      "PATIENT",
                                      "UNSPECIFIED"
                                    ],
                                    "description": "Who said the text in this transcript item.",
                                    "example": "DOCTOR",
                                    "title": "speaker"
                                  },
                                  "locale": {
                                    "description": "Locale for this transcript item, detected by the speech-to-text engine from the list of locales in the input.",
                                    "type": "string",
                                    "enum": [
                                      "ENGLISH_US",
                                      "ENGLISH_UK",
                                      "SPANISH_ES",
                                      "SPANISH_MX",
                                      "FRENCH_FR",
                                      "ARABIC_EG",
                                      "ARABIC_LB",
                                      "ARABIC_MA",
                                      "ARABIC_SA",
                                      "ARMENIAN_AM",
                                      "BENGALI_IN",
                                      "CANTONESE_CN",
                                      "CROATIAN_HR",
                                      "FILIPINO_PH",
                                      "GERMAN_DE",
                                      "GREEK_GR",
                                      "GUJARATI_IN",
                                      "HEBREW_IL",
                                      "HINDI_IN",
                                      "ITALIAN_IT",
                                      "JAPANESE_JP",
                                      "KHMER_KH",
                                      "KOREAN_KR",
                                      "MANDARIN_CN",
                                      "PERSIAN_IR",
                                      "POLISH_PL",
                                      "PORTUGUESE_PT",
                                      "PUNJABI_IN",
                                      "RUSSIAN_RU",
                                      "SERBIAN_RS",
                                      "TAMIL_IN",
                                      "TELUGU_IN",
                                      "THAI_TH",
                                      "URDU_IN",
                                      "VIETNAMESE_VN",
                                      "HAITIAN_HT"
                                    ],
                                    "example": "ENGLISH_US",
                                    "title": "speech_locale"
                                  },
                                  "start_offset_ms": {
                                    "type": "integer",
                                    "description": "Start time of this transcription item as the offset, in milliseconds, from the start of the audio file.",
                                    "example": 65100
                                  },
                                  "end_offset_ms": {
                                    "type": "integer",
                                    "description": "End time of this transcription item as the offset, in milliseconds, from the start of the audio file. Equals the `start_time_ms` plus the duration of the related transcribed audio portion.",
                                    "example": 69300
                                  }
                                },
                                "required": [
                                  "text",
                                  "locale",
                                  "start_offset_ms",
                                  "end_offset_ms"
                                ],
                                "title": "transcript_item"
                              },
                              "title": "transcript"
                            }
                          },
                          "required": [
                            "transcript"
                          ],
                          "title": "async_transcription_succeeded_payload"
                        }
                      },
                      "required": [
                        "id",
                        "status"
                      ],
                      "title": "async_transcription_succeeded"
                    }
                  },
                  "required": [
                    "data"
                  ]
                }
              ]
            },
            {
              "title": "transcribe_async.failed",
              "x-sensitive-medical-data": false,
              "x-webhook-type": "CORE_API_TRANSCRIBE_ASYNC_FAILED",
              "allOf": [
                {
                  "type": "object",
                  "properties": {
                    "id": {
                      "description": "The unique identifier of this webhook event.",
                      "type": "string",
                      "format": "uuid",
                      "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                      "title": "uuid"
                    },
                    "created_at": {
                      "description": "Creation date of this webhook event.",
                      "type": "string",
                      "format": "date-time",
                      "example": "2022-03-10T19:16:23.456Z",
                      "title": "created_at"
                    },
                    "type": {
                      "type": "string",
                      "description": "Type of this event, serves as a discriminator between the different possible webhook types."
                    }
                  },
                  "required": [
                    "id",
                    "created_at",
                    "type"
                  ],
                  "title": "base_webhook_event"
                },
                {
                  "type": "object",
                  "description": "Event sent when an **asynchronous** transcription fails.",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "description": "The id of the asynchronous request.",
                          "type": "string",
                          "format": "uuid",
                          "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                          "title": "uuid"
                        },
                        "client_request_id": {
                          "type": "string",
                          "maxLength": 128,
                          "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                          "title": "client_request_id"
                        },
                        "status": {
                          "type": "string",
                          "enum": [
                            "ONGOING",
                            "FAILED",
                            "SUCCEEDED"
                          ],
                          "title": "async_request_status"
                        },
                        "payload": {
                          "type": "object",
                          "properties": {
                            "error_code": {
                              "type": "integer",
                              "example": 422
                            },
                            "error_message": {
                              "type": "string",
                              "example": "We can't generate the note when the transcript is too short."
                            }
                          },
                          "required": [
                            "error_code"
                          ],
                          "title": "async_request_failed_payload"
                        }
                      },
                      "required": [
                        "id",
                        "status",
                        "payload"
                      ],
                      "title": "async_request_failed"
                    }
                  },
                  "required": [
                    "data"
                  ]
                }
              ]
            },
            {
              "title": "dictate_async.succeeded",
              "x-sensitive-medical-data": true,
              "x-webhook-type": "CORE_API_DICTATE_ASYNC_SUCCEEDED",
              "allOf": [
                {
                  "type": "object",
                  "properties": {
                    "id": {
                      "description": "The unique identifier of this webhook event.",
                      "type": "string",
                      "format": "uuid",
                      "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                      "title": "uuid"
                    },
                    "created_at": {
                      "description": "Creation date of this webhook event.",
                      "type": "string",
                      "format": "date-time",
                      "example": "2022-03-10T19:16:23.456Z",
                      "title": "created_at"
                    },
                    "type": {
                      "type": "string",
                      "description": "Type of this event, serves as a discriminator between the different possible webhook types."
                    }
                  },
                  "required": [
                    "id",
                    "created_at",
                    "type"
                  ],
                  "title": "base_webhook_event"
                },
                {
                  "type": "object",
                  "description": "Event sent when an **asynchronous** dictation succeeds.",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "description": "The id of the asynchronous request.",
                          "type": "string",
                          "format": "uuid",
                          "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                          "title": "uuid"
                        },
                        "client_request_id": {
                          "type": "string",
                          "maxLength": 128,
                          "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                          "title": "client_request_id"
                        },
                        "status": {
                          "type": "string",
                          "enum": [
                            "ONGOING",
                            "FAILED",
                            "SUCCEEDED"
                          ],
                          "title": "async_request_status"
                        },
                        "payload": {
                          "type": "object",
                          "description": "The generated dictation.",
                          "properties": {
                            "dictation": {
                              "type": "string",
                              "description": "The generated dictation string."
                            }
                          },
                          "required": [
                            "dictation"
                          ],
                          "title": "async_dictation_succeeded_payload"
                        }
                      },
                      "required": [
                        "id",
                        "status"
                      ],
                      "title": "async_dictation_succeeded"
                    }
                  },
                  "required": [
                    "data"
                  ]
                }
              ]
            },
            {
              "title": "dictate_async.failed",
              "x-sensitive-medical-data": false,
              "x-webhook-type": "CORE_API_DICTATE_ASYNC_FAILED",
              "allOf": [
                {
                  "type": "object",
                  "properties": {
                    "id": {
                      "description": "The unique identifier of this webhook event.",
                      "type": "string",
                      "format": "uuid",
                      "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                      "title": "uuid"
                    },
                    "created_at": {
                      "description": "Creation date of this webhook event.",
                      "type": "string",
                      "format": "date-time",
                      "example": "2022-03-10T19:16:23.456Z",
                      "title": "created_at"
                    },
                    "type": {
                      "type": "string",
                      "description": "Type of this event, serves as a discriminator between the different possible webhook types."
                    }
                  },
                  "required": [
                    "id",
                    "created_at",
                    "type"
                  ],
                  "title": "base_webhook_event"
                },
                {
                  "type": "object",
                  "description": "Event sent when an **asynchronous** dictation fails.",
                  "properties": {
                    "data": {
                      "type": "object",
                      "properties": {
                        "id": {
                          "description": "The id of the asynchronous request.",
                          "type": "string",
                          "format": "uuid",
                          "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                          "title": "uuid"
                        },
                        "client_request_id": {
                          "type": "string",
                          "maxLength": 128,
                          "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                          "title": "client_request_id"
                        },
                        "status": {
                          "type": "string",
                          "enum": [
                            "ONGOING",
                            "FAILED",
                            "SUCCEEDED"
                          ],
                          "title": "async_request_status"
                        },
                        "payload": {
                          "type": "object",
                          "properties": {
                            "error_code": {
                              "type": "integer",
                              "example": 422
                            },
                            "error_message": {
                              "type": "string",
                              "example": "We can't generate the note when the transcript is too short."
                            }
                          },
                          "required": [
                            "error_code"
                          ],
                          "title": "async_request_failed_payload"
                        }
                      },
                      "required": [
                        "id",
                        "status",
                        "payload"
                      ],
                      "title": "async_request_failed"
                    }
                  },
                  "required": [
                    "data"
                  ]
                }
              ]
            }
          ],
          "discriminator": {
            "propertyName": "type",
            "mapping": {
              "generate_note_async.succeeded": {
                "x-sensitive-medical-data": true,
                "x-webhook-type": "CORE_API_GENERATE_NOTE_ASYNC_SUCCEEDED",
                "allOf": [
                  {
                    "type": "object",
                    "properties": {
                      "id": {
                        "description": "The unique identifier of this webhook event.",
                        "type": "string",
                        "format": "uuid",
                        "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                        "title": "uuid"
                      },
                      "created_at": {
                        "description": "Creation date of this webhook event.",
                        "type": "string",
                        "format": "date-time",
                        "example": "2022-03-10T19:16:23.456Z",
                        "title": "created_at"
                      },
                      "type": {
                        "type": "string",
                        "description": "Type of this event, serves as a discriminator between the different possible webhook types."
                      }
                    },
                    "required": [
                      "id",
                      "created_at",
                      "type"
                    ],
                    "title": "base_webhook_event"
                  },
                  {
                    "type": "object",
                    "description": "Event sent when an **asynchronous** note generation succeeds.",
                    "properties": {
                      "data": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "description": "The id of the asynchronous request.",
                            "type": "string",
                            "format": "uuid",
                            "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                            "title": "uuid"
                          },
                          "client_request_id": {
                            "type": "string",
                            "maxLength": 128,
                            "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                            "title": "client_request_id"
                          },
                          "status": {
                            "type": "string",
                            "enum": [
                              "ONGOING",
                              "FAILED",
                              "SUCCEEDED"
                            ],
                            "title": "async_request_status"
                          },
                          "payload": {
                            "type": "object",
                            "description": "The generated note.",
                            "required": [
                              "note"
                            ],
                            "properties": {
                              "note": {
                                "type": "object",
                                "description": "The generated note.",
                                "properties": {
                                  "title": {
                                    "type": "string",
                                    "description": "Title of the note.",
                                    "example": "Fever and strong headache"
                                  },
                                  "sections": {
                                    "type": "array",
                                    "description": "Content of the note structured in multiple sections.",
                                    "items": {
                                      "type": "object",
                                      "description": "A note section.",
                                      "properties": {
                                        "key": {
                                          "type": "string",
                                          "description": "A key identifying a section of a note.\nThe set of possible keys depend on the template that is used. Check [Note template](/core-api/guides/note-templates/note-templates-sections) for possible values.",
                                          "example": "CHIEF_COMPLAINT",
                                          "enum": [
                                            "ALLERGIES",
                                            "APPOINTMENTS",
                                            "ASSESSMENT",
                                            "ASSESSMENT_AND_PLAN",
                                            "CARDIOVASCULAR_RISK_FACTORS",
                                            "CHIEF_COMPLAINT",
                                            "CURRENT_MEDICATIONS",
                                            "DIAGNOSTIC_TESTS_ORDERED",
                                            "FOOD_HABITS",
                                            "LIFESTYLE",
                                            "PAST_MEDICAL_HISTORY",
                                            "OBJECTIVES_AND_ADVICE",
                                            "FAMILY_HISTORY",
                                            "HISTORY_OF_PRESENT_ILLNESS",
                                            "IMAGING_RESULTS",
                                            "IMMUNIZATIONS",
                                            "LAB_RESULTS",
                                            "MENTAL_HEALTH_EXAM",
                                            "MENTAL_HEALTH_HISTORY",
                                            "PAST_OBSTETRIC_HISTORY",
                                            "PAST_SURGICAL_HISTORY",
                                            "PHYSICAL_EXAM",
                                            "PLAN",
                                            "PRESCRIPTION",
                                            "HISTORY_OF_PRESENT_COMPLAINT",
                                            "OBJECTIVE",
                                            "SUBJECTIVE",
                                            "SOCIAL_HISTORY",
                                            "VITALS",
                                            "WELL_CHILD_CARE"
                                          ],
                                          "title": "note_section_key"
                                        },
                                        "title": {
                                          "type": "string",
                                          "description": "The section title.",
                                          "example": "Chief complaint"
                                        },
                                        "text": {
                                          "type": "string",
                                          "description": "Content of the note section.",
                                          "example": "Sleep disorder"
                                        }
                                      },
                                      "required": [
                                        "key",
                                        "title",
                                        "text"
                                      ],
                                      "example": [
                                        {
                                          "key": "CHIEF_COMPLAINT",
                                          "title": "Chief complaint",
                                          "text": "Fatigue and headaches"
                                        },
                                        {
                                          "key": "SYMPTOMS",
                                          "title": "Symptoms",
                                          "text": "- Tiredness all day long\n- Mild headaches on the right side"
                                        }
                                      ],
                                      "title": "note_section"
                                    }
                                  }
                                },
                                "required": [
                                  "sections"
                                ],
                                "title": "note"
                              }
                            },
                            "title": "async_note_generation_succeeded_payload"
                          }
                        },
                        "required": [
                          "id",
                          "status"
                        ],
                        "title": "async_note_generation_succeeded"
                      }
                    },
                    "required": [
                      "data"
                    ]
                  }
                ],
                "title": "generate_note_async_succeeded"
              },
              "generate_note_async.failed": {
                "x-sensitive-medical-data": false,
                "x-webhook-type": "CORE_API_GENERATE_NOTE_ASYNC_FAILED",
                "allOf": [
                  {
                    "type": "object",
                    "properties": {
                      "id": {
                        "description": "The unique identifier of this webhook event.",
                        "type": "string",
                        "format": "uuid",
                        "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                        "title": "uuid"
                      },
                      "created_at": {
                        "description": "Creation date of this webhook event.",
                        "type": "string",
                        "format": "date-time",
                        "example": "2022-03-10T19:16:23.456Z",
                        "title": "created_at"
                      },
                      "type": {
                        "type": "string",
                        "description": "Type of this event, serves as a discriminator between the different possible webhook types."
                      }
                    },
                    "required": [
                      "id",
                      "created_at",
                      "type"
                    ],
                    "title": "base_webhook_event"
                  },
                  {
                    "type": "object",
                    "description": "Event sent when an **asynchronous** note generation fails.",
                    "properties": {
                      "data": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "description": "The id of the asynchronous request.",
                            "type": "string",
                            "format": "uuid",
                            "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                            "title": "uuid"
                          },
                          "client_request_id": {
                            "type": "string",
                            "maxLength": 128,
                            "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                            "title": "client_request_id"
                          },
                          "status": {
                            "type": "string",
                            "enum": [
                              "ONGOING",
                              "FAILED",
                              "SUCCEEDED"
                            ],
                            "title": "async_request_status"
                          },
                          "payload": {
                            "type": "object",
                            "properties": {
                              "error_code": {
                                "type": "integer",
                                "example": 422
                              },
                              "error_message": {
                                "type": "string",
                                "example": "We can't generate the note when the transcript is too short."
                              }
                            },
                            "required": [
                              "error_code"
                            ],
                            "title": "async_request_failed_payload"
                          }
                        },
                        "required": [
                          "id",
                          "status",
                          "payload"
                        ],
                        "title": "async_request_failed"
                      }
                    },
                    "required": [
                      "data"
                    ]
                  }
                ],
                "title": "generate_note_async_failed"
              },
              "transcribe_async.succeeded": {
                "x-sensitive-medical-data": true,
                "x-webhook-type": "CORE_API_TRANSCRIBE_ASYNC_SUCCEEDED",
                "allOf": [
                  {
                    "type": "object",
                    "properties": {
                      "id": {
                        "description": "The unique identifier of this webhook event.",
                        "type": "string",
                        "format": "uuid",
                        "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                        "title": "uuid"
                      },
                      "created_at": {
                        "description": "Creation date of this webhook event.",
                        "type": "string",
                        "format": "date-time",
                        "example": "2022-03-10T19:16:23.456Z",
                        "title": "created_at"
                      },
                      "type": {
                        "type": "string",
                        "description": "Type of this event, serves as a discriminator between the different possible webhook types."
                      }
                    },
                    "required": [
                      "id",
                      "created_at",
                      "type"
                    ],
                    "title": "base_webhook_event"
                  },
                  {
                    "type": "object",
                    "description": "Event sent when an **asynchronous** transcription succeeds.",
                    "properties": {
                      "data": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "description": "The id of the asynchronous request.",
                            "type": "string",
                            "format": "uuid",
                            "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                            "title": "uuid"
                          },
                          "client_request_id": {
                            "type": "string",
                            "maxLength": 128,
                            "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                            "title": "client_request_id"
                          },
                          "status": {
                            "type": "string",
                            "enum": [
                              "ONGOING",
                              "FAILED",
                              "SUCCEEDED"
                            ],
                            "title": "async_request_status"
                          },
                          "payload": {
                            "type": "object",
                            "description": "The generated transcript.",
                            "properties": {
                              "transcript": {
                                "type": "array",
                                "description": "Transcript items from the audio file.",
                                "items": {
                                  "type": "object",
                                  "description": "A portion of the transcribed consultation.",
                                  "properties": {
                                    "text": {
                                      "type": "string",
                                      "description": "The transcribed text.",
                                      "example": "Also, I’m allergic to peanuts."
                                    },
                                    "speaker_type": {
                                      "type": "string",
                                      "enum": [
                                        "DOCTOR",
                                        "PATIENT",
                                        "UNSPECIFIED"
                                      ],
                                      "description": "Who said the text in this transcript item.",
                                      "example": "DOCTOR",
                                      "title": "speaker"
                                    },
                                    "locale": {
                                      "description": "Locale for this transcript item, detected by the speech-to-text engine from the list of locales in the input.",
                                      "type": "string",
                                      "enum": [
                                        "ENGLISH_US",
                                        "ENGLISH_UK",
                                        "SPANISH_ES",
                                        "SPANISH_MX",
                                        "FRENCH_FR",
                                        "ARABIC_EG",
                                        "ARABIC_LB",
                                        "ARABIC_MA",
                                        "ARABIC_SA",
                                        "ARMENIAN_AM",
                                        "BENGALI_IN",
                                        "CANTONESE_CN",
                                        "CROATIAN_HR",
                                        "FILIPINO_PH",
                                        "GERMAN_DE",
                                        "GREEK_GR",
                                        "GUJARATI_IN",
                                        "HEBREW_IL",
                                        "HINDI_IN",
                                        "ITALIAN_IT",
                                        "JAPANESE_JP",
                                        "KHMER_KH",
                                        "KOREAN_KR",
                                        "MANDARIN_CN",
                                        "PERSIAN_IR",
                                        "POLISH_PL",
                                        "PORTUGUESE_PT",
                                        "PUNJABI_IN",
                                        "RUSSIAN_RU",
                                        "SERBIAN_RS",
                                        "TAMIL_IN",
                                        "TELUGU_IN",
                                        "THAI_TH",
                                        "URDU_IN",
                                        "VIETNAMESE_VN",
                                        "HAITIAN_HT"
                                      ],
                                      "example": "ENGLISH_US",
                                      "title": "speech_locale"
                                    },
                                    "start_offset_ms": {
                                      "type": "integer",
                                      "description": "Start time of this transcription item as the offset, in milliseconds, from the start of the audio file.",
                                      "example": 65100
                                    },
                                    "end_offset_ms": {
                                      "type": "integer",
                                      "description": "End time of this transcription item as the offset, in milliseconds, from the start of the audio file. Equals the `start_time_ms` plus the duration of the related transcribed audio portion.",
                                      "example": 69300
                                    }
                                  },
                                  "required": [
                                    "text",
                                    "locale",
                                    "start_offset_ms",
                                    "end_offset_ms"
                                  ],
                                  "title": "transcript_item"
                                },
                                "title": "transcript"
                              }
                            },
                            "required": [
                              "transcript"
                            ],
                            "title": "async_transcription_succeeded_payload"
                          }
                        },
                        "required": [
                          "id",
                          "status"
                        ],
                        "title": "async_transcription_succeeded"
                      }
                    },
                    "required": [
                      "data"
                    ]
                  }
                ],
                "title": "transcribe_async_succeeded"
              },
              "transcribe_async.failed": {
                "x-sensitive-medical-data": false,
                "x-webhook-type": "CORE_API_TRANSCRIBE_ASYNC_FAILED",
                "allOf": [
                  {
                    "type": "object",
                    "properties": {
                      "id": {
                        "description": "The unique identifier of this webhook event.",
                        "type": "string",
                        "format": "uuid",
                        "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                        "title": "uuid"
                      },
                      "created_at": {
                        "description": "Creation date of this webhook event.",
                        "type": "string",
                        "format": "date-time",
                        "example": "2022-03-10T19:16:23.456Z",
                        "title": "created_at"
                      },
                      "type": {
                        "type": "string",
                        "description": "Type of this event, serves as a discriminator between the different possible webhook types."
                      }
                    },
                    "required": [
                      "id",
                      "created_at",
                      "type"
                    ],
                    "title": "base_webhook_event"
                  },
                  {
                    "type": "object",
                    "description": "Event sent when an **asynchronous** transcription fails.",
                    "properties": {
                      "data": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "description": "The id of the asynchronous request.",
                            "type": "string",
                            "format": "uuid",
                            "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                            "title": "uuid"
                          },
                          "client_request_id": {
                            "type": "string",
                            "maxLength": 128,
                            "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                            "title": "client_request_id"
                          },
                          "status": {
                            "type": "string",
                            "enum": [
                              "ONGOING",
                              "FAILED",
                              "SUCCEEDED"
                            ],
                            "title": "async_request_status"
                          },
                          "payload": {
                            "type": "object",
                            "properties": {
                              "error_code": {
                                "type": "integer",
                                "example": 422
                              },
                              "error_message": {
                                "type": "string",
                                "example": "We can't generate the note when the transcript is too short."
                              }
                            },
                            "required": [
                              "error_code"
                            ],
                            "title": "async_request_failed_payload"
                          }
                        },
                        "required": [
                          "id",
                          "status",
                          "payload"
                        ],
                        "title": "async_request_failed"
                      }
                    },
                    "required": [
                      "data"
                    ]
                  }
                ],
                "title": "transcribe_async_failed"
              },
              "dictate_async.succeeded": {
                "x-sensitive-medical-data": true,
                "x-webhook-type": "CORE_API_DICTATE_ASYNC_SUCCEEDED",
                "allOf": [
                  {
                    "type": "object",
                    "properties": {
                      "id": {
                        "description": "The unique identifier of this webhook event.",
                        "type": "string",
                        "format": "uuid",
                        "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                        "title": "uuid"
                      },
                      "created_at": {
                        "description": "Creation date of this webhook event.",
                        "type": "string",
                        "format": "date-time",
                        "example": "2022-03-10T19:16:23.456Z",
                        "title": "created_at"
                      },
                      "type": {
                        "type": "string",
                        "description": "Type of this event, serves as a discriminator between the different possible webhook types."
                      }
                    },
                    "required": [
                      "id",
                      "created_at",
                      "type"
                    ],
                    "title": "base_webhook_event"
                  },
                  {
                    "type": "object",
                    "description": "Event sent when an **asynchronous** dictation succeeds.",
                    "properties": {
                      "data": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "description": "The id of the asynchronous request.",
                            "type": "string",
                            "format": "uuid",
                            "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                            "title": "uuid"
                          },
                          "client_request_id": {
                            "type": "string",
                            "maxLength": 128,
                            "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                            "title": "client_request_id"
                          },
                          "status": {
                            "type": "string",
                            "enum": [
                              "ONGOING",
                              "FAILED",
                              "SUCCEEDED"
                            ],
                            "title": "async_request_status"
                          },
                          "payload": {
                            "type": "object",
                            "description": "The generated dictation.",
                            "properties": {
                              "dictation": {
                                "type": "string",
                                "description": "The generated dictation string."
                              }
                            },
                            "required": [
                              "dictation"
                            ],
                            "title": "async_dictation_succeeded_payload"
                          }
                        },
                        "required": [
                          "id",
                          "status"
                        ],
                        "title": "async_dictation_succeeded"
                      }
                    },
                    "required": [
                      "data"
                    ]
                  }
                ],
                "title": "dictate_async_succeeded"
              },
              "dictate_async.failed": {
                "x-sensitive-medical-data": false,
                "x-webhook-type": "CORE_API_DICTATE_ASYNC_FAILED",
                "allOf": [
                  {
                    "type": "object",
                    "properties": {
                      "id": {
                        "description": "The unique identifier of this webhook event.",
                        "type": "string",
                        "format": "uuid",
                        "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                        "title": "uuid"
                      },
                      "created_at": {
                        "description": "Creation date of this webhook event.",
                        "type": "string",
                        "format": "date-time",
                        "example": "2022-03-10T19:16:23.456Z",
                        "title": "created_at"
                      },
                      "type": {
                        "type": "string",
                        "description": "Type of this event, serves as a discriminator between the different possible webhook types."
                      }
                    },
                    "required": [
                      "id",
                      "created_at",
                      "type"
                    ],
                    "title": "base_webhook_event"
                  },
                  {
                    "type": "object",
                    "description": "Event sent when an **asynchronous** dictation fails.",
                    "properties": {
                      "data": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "description": "The id of the asynchronous request.",
                            "type": "string",
                            "format": "uuid",
                            "example": "98FCE1EF-DBCA-41EF-8BC7-4D1621AC07C6",
                            "title": "uuid"
                          },
                          "client_request_id": {
                            "type": "string",
                            "maxLength": 128,
                            "description": "An optional unique client-made id for this request. When specified, this id is included in  the Json payload that will be sent asynchronously. This can help clients both guarantee idempotency and correlate asynchronous responses with their requests.\n\n_Note_: this id must be different for every request. It is recommended to use a randomly generated UUID.",
                            "title": "client_request_id"
                          },
                          "status": {
                            "type": "string",
                            "enum": [
                              "ONGOING",
                              "FAILED",
                              "SUCCEEDED"
                            ],
                            "title": "async_request_status"
                          },
                          "payload": {
                            "type": "object",
                            "properties": {
                              "error_code": {
                                "type": "integer",
                                "example": 422
                              },
                              "error_message": {
                                "type": "string",
                                "example": "We can't generate the note when the transcript is too short."
                              }
                            },
                            "required": [
                              "error_code"
                            ],
                            "title": "async_request_failed_payload"
                          }
                        },
                        "required": [
                          "id",
                          "status",
                          "payload"
                        ],
                        "title": "async_request_failed"
                      }
                    },
                    "required": [
                      "data"
                    ]
                  }
                ],
                "title": "dictate_async_failed"
              }
            }
          },
          "example": {
            "id": "0cf0b04d-5bbe-47a9-9601-3dd037644f65",
            "created_at": "2024-07-15T12:47:34.380Z",
            "type": "generate_note_async.succeeded",
            "data": {
              "id": "51abd747-ab5b-4b61-8f28-5a41b554bd7a",
              "created_at": "2024-07-15T12:47:34.380Z",
              "type": "generate_note_async.succeeded",
              "data": {
                "id": "ec546a5a-37ec-40da-b719-127366072fdc",
                "client_request_id": "notegen_n123456789",
                "status": "succeeded",
                "payload": {
                  "note": {
                    "title": "Fatigue and headache",
                    "sections": [
                      {
                        "key": "CHIEF_COMPLAINT",
                        "title": "Chief complaint",
                        "text": "- Persistent fatigue\n- Mild headaches on the right side"
                      },
                      {
                        "key": "PAST_MEDICAL_HISTORY",
                        "title": "Past medical history",
                        "text": "- Hypertension\n- Elevated blood sugar levels"
                      },
                      {
                        "key": "LAB_RESULTS",
                        "title": "Lab results",
                        "text": "- Blood sugar level: 1.4 g/L\n- LDL cholesterol: 2 g/L"
                      }
                    ]
                  }
                }
              }
            }
          },
          "title": "webhook_event"
        }
      }
    }
  },
  "responses": {
    "200": {
      "description": "Respond with 200 to acknowledge the handling of this webhook event, otherwise we will retry the call later."
    }
  }
}
```
